/******** <lalVerbatim file="BlockConditionDataHV"> ********
Author: Tibbits, M. M.
$Id: BlockConditionData.h,v 1.1 2002/01/24 23:08:04 jolien Exp $
********* </lalVerbatim> ********/

#include "Block.h"

NRCSID( BLOCKCONDITIONDATAH, "$Id: BlockConditionData.h,v 1.1 2002/01/24 23:08:04 jolien Exp $");


/******************************** <lalErrTab> */
#define BLOCKCONDITIONDATAH_ENULL     1
#define BLOCKCONDITIONDATAH_ENNUL     2
#define BLOCKCONDITIONDATAH_EALOC     3
#define BLOCKCONDITIONDATAH_EARGS     4
#define BLOCKCONDITIONDATAH_EINPUT    5
#define BLOCKCONDITIONDATAH_EDATZ     6
#define BLOCKCONDITIONDATAH_EFEW      7
#define BLOCKCONDITIONDATAH_ENPIP     8
#define BLOCKCONDITIONDATAH_ENMSQ     9

#define BLOCKCONDITIONDATAH_MSGENULL   "Null pointer"
#define BLOCKCONDITIONDATAH_MSGENNUL   "Non-null pointer"
#define BLOCKCONDITIONDATAH_MSGEALOC   "Memory allocation error"
#define BLOCKCONDITIONDATAH_MSGEARGS   "Wrong number of arguments"
#define BLOCKCONDITIONDATAH_MSGEINPUT  "Wrong data names in input structure"
#define BLOCKCONDITIONDATAH_MSGEDATZ   "Got less data than expected"
#define BLOCKCONDITIONDATAH_MSGEFEW    "Too few points in one sequence"
#define BLOCKCONDITIONDATAH_MSGENPIP   "Amount of input per sequence must be > 2*np "
#define BLOCKCONDITIONDATAH_MSGENMSQ   "Incorrect number of Input Sequences."
/************************************ </lalErrTab> */

void DistributeDataMaster
(
    LALStatus             *status,
    LALSearchInput        *inout,
    void                  *searchParams,
    LALMPIParams          *mpiParams
);


void DistributeDataSlave
(
    LALStatus             *status,
    LALSearchInput        *inout,
    void                  *searchParams,
    LALMPIParams          *mpiParams
);


void BlockParseData
(
	LALStatus	*status,
	LALSearchInput	*inout,
	void		*searchParams
);
